Download it now!
Bug 96807 - Automatic log scale inefficient for values less than 1
Summary: Automatic log scale inefficient for values less than 1
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Laurent BP
URL:
Whiteboard: target:5.2.0 target:5.1.0.2 target:5...
Keywords:
Depends on:
Blocks:
 
Reported: 2015-12-29 16:08 UTC by Laurent BP
Modified: 2018-09-25 00:02 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
XY chart with linear scales (20.74 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-12-30 09:13 UTC, Laurent BP
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2015-12-29 16:08:15 UTC
Description: Automatic min value of Y log scale is set to 1, if values are less than 1

Steps to reproduce:
1. Enter XY data with values less than 1
2. Create an XY chart like attached file (between 1.15e-5  and 2.19e-4 for both X and Y data in this example)
3. Set log scale for X scale
=> X scale is automatically set between 1e-5 and 1e-3
=> correct behavior
4. Set log scale for Y scale

Actual behavior:
Y scale is automatically set between 1 and 10

Expected behavior
Y scale should be automatically set between 1e-5 and 1e-3

This bug was present in OOo, and still in AOO 4.1.2. 
But, behavior get worst with LibO 5.0:
- set log X scale (min/max are correctly 1e-5 and 1e-3)
- set log Y scale (wrong min/max 1 and 10)
=> X scale is now modified wrongly between 1 and 10
This behavior appeared between:
Version: 4.5.0.0.alpha0+
Build ID: 24a89b277208d8f3fa7987f5fe76a02286bbff25
TinderBox: Win-x86@42, Branch:master, Time: 2015-03-03_07:55:00
Locale: fr_FR
and
Version: 4.5.0.0.alpha0+
Build ID: ea59d42d2098e8be8b3ab9667922e8427ee4b714
TinderBox: Win-x86@42, Branch:master, Time: 2015-03-23_01:47:57
Locale: fr_FR
Comment 1 m.a.riosv 2015-12-29 23:02:22 UTC
Sorry @Laurent, no attached file.

I can reproduce the issue with Win10x64:
Versión: 4.4.7.2 Id. de compilación: f3153a8b245191196a4b6b9abd1d0da16eead600

but I think it's EOL.

not reproducible with
Version: 5.0.4.2 (x64) Build ID: 2b9802c1994aa0b7dc6079e128979269cf95bc78

You comment is about 4.5.0.0.alpha0+, I can't see it in daily builds.
Comment 2 Laurent BP 2015-12-30 09:13:44 UTC
Created attachment 121627 [details]
XY chart with linear scales

Change scales in log with automatic limit to see the bug.
Bug appear with Y axis.
From LibO 5.0, bug is also for X axis if Y axis is log.
Comment 3 Laurent BP 2015-12-30 09:15:25 UTC
(In reply to m.a.riosv from comment #1)
> Sorry @Laurent, no attached file.
Sorry, I forgot it.

 
(In reply to m.a.riosv from comment #1)
> You comment is about 4.5.0.0.alpha0+, I can't see it in daily builds.
5.0 branch was named 4.5 at the beginning.
Comment 4 Laurent BP 2015-12-30 09:18:30 UTC
(In reply to m.a.riosv from comment #1)
> not reproducible with
> Version: 5.0.4.2 (x64) Build ID: 2b9802c1994aa0b7dc6079e128979269cf95bc78

I do reproduce with 5.0.4.2, 5.1.0.1 and master Version: 5.2.0.0.alpha0+
Build ID: 18565a34d6e2768d70462f124c6d6972448efe22
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-12-23_11:31:57
Locale: fr-FR (fr_FR)
Comment 5 Laurent BP 2015-12-31 17:57:52 UTC
Reverting http://cgit.freedesktop.org/libreoffice/core/commit/?id=e7f65a0a989385a887f8b4e91336202e3e96eec5
reset bug as it was with LibO 4.4
Comment 6 Commit Notification 2016-01-08 10:56:08 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5553d6a9314fd778b9a124d8a2c7e9dd1d7a58a3

tdf#96807 Reset min/max of auto scale

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-01-12 21:29:26 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=98982ca06a87e8b63204b0acda2105c66ae57440&h=libreoffice-5-1

tdf#96807 Reset min/max of auto scale

It will be available in 5.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Jean-Baptiste Faure 2016-01-20 08:40:18 UTC
*** Bug 97267 has been marked as a duplicate of this bug. ***
Comment 9 Commit Notification 2016-02-14 01:45:05 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2fa4b37e8d6d516e9ac9190ee45456534611c3e7&h=libreoffice-5-0

tdf#96807 Reset min/max of auto scale

It will be available in 5.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.